Package io.vertx.grpc.reflection.v1

## Class ServerReflectionRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessage.Builder<ServerReflectionRequest.Builder>
      - - io.vertx.grpc.reflection.v1.ServerReflectionRequest.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ServerReflectionRequestOrBuilder`, `Cloneable`
  Enclosing class:
    ServerReflectionRequest

      public static final class ServerReflectionRequest.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<ServerReflectionRequest.Builder>
      implements ServerReflectionRequestOrBuilder

       The message sent by the client when calling ServerReflectionInfo method.

  Protobuf type `grpc.reflection.v1.ServerReflectionRequest`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServerReflectionRequest` | `build()` |
    `ServerReflectionRequest` | `buildPartial()` |
    `ServerReflectionRequest.Builder` | `clear()` |
    `ServerReflectionRequest.Builder` | `clearAllExtensionNumbersOfType()` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `ServerReflectionRequest.Builder` | `clearFileByFilename()` | Find a proto file by the file name.
    `ServerReflectionRequest.Builder` | `clearFileContainingExtension()` | Find the proto file which defines an extension extending the given message type with the given field number.
    `ServerReflectionRequest.Builder` | `clearFileContainingSymbol()` | Find the proto file that declares the given fully-qualified symbol name.
    `ServerReflectionRequest.Builder` | `clearHost()` | `string host = 1;`
    `ServerReflectionRequest.Builder` | `clearListServices()` | List the full names of registered services.
    `ServerReflectionRequest.Builder` | `clearMessageRequest()` |
    `String` | `getAllExtensionNumbersOfType()` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `com.google.protobuf.ByteString` | `getAllExtensionNumbersOfTypeBytes()` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `ServerReflectionRequest` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `String` | `getFileByFilename()` | Find a proto file by the file name.
    `com.google.protobuf.ByteString` | `getFileByFilenameBytes()` | Find a proto file by the file name.
    `ExtensionRequest` | `getFileContainingExtension()` | Find the proto file which defines an extension extending the given message type with the given field number.
    `ExtensionRequest.Builder` | `getFileContainingExtensionBuilder()` | Find the proto file which defines an extension extending the given message type with the given field number.
    `ExtensionRequestOrBuilder` | `getFileContainingExtensionOrBuilder()` | Find the proto file which defines an extension extending the given message type with the given field number.
    `String` | `getFileContainingSymbol()` | Find the proto file that declares the given fully-qualified symbol name.
    `com.google.protobuf.ByteString` | `getFileContainingSymbolBytes()` | Find the proto file that declares the given fully-qualified symbol name.
    `String` | `getHost()` | `string host = 1;`
    `com.google.protobuf.ByteString` | `getHostBytes()` | `string host = 1;`
    `String` | `getListServices()` | List the full names of registered services.
    `com.google.protobuf.ByteString` | `getListServicesBytes()` | List the full names of registered services.
    `ServerReflectionRequest.MessageRequestCase` | `getMessageRequestCase()` |
    `boolean` | `hasAllExtensionNumbersOfType()` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `boolean` | `hasFileByFilename()` | Find a proto file by the file name.
    `boolean` | `hasFileContainingExtension()` | Find the proto file which defines an extension extending the given message type with the given field number.
    `boolean` | `hasFileContainingSymbol()` | Find the proto file that declares the given fully-qualified symbol name.
    `boolean` | `hasListServices()` | List the full names of registered services.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `ServerReflectionRequest.Builder` | `mergeFileContainingExtension​(ExtensionRequest value)` | Find the proto file which defines an extension extending the given message type with the given field number.
    `ServerReflectionRequest.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `ServerReflectionRequest.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `ServerReflectionRequest.Builder` | `mergeFrom​(ServerReflectionRequest other)` |
    `ServerReflectionRequest.Builder` | `setAllExtensionNumbersOfType​(String value)` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `ServerReflectionRequest.Builder` | `setAllExtensionNumbersOfTypeBytes​(com.google.protobuf.ByteString value)` | Finds the tag numbers used by all known extensions of the given message type, and appends them to ExtensionNumberResponse in an undefined order.
    `ServerReflectionRequest.Builder` | `setFileByFilename​(String value)` | Find a proto file by the file name.
    `ServerReflectionRequest.Builder` | `setFileByFilenameBytes​(com.google.protobuf.ByteString value)` | Find a proto file by the file name.
    `ServerReflectionRequest.Builder` | `setFileContainingExtension​(ExtensionRequest value)` | Find the proto file which defines an extension extending the given message type with the given field number.
    `ServerReflectionRequest.Builder` | `setFileContainingExtension​(ExtensionRequest.Builder builderForValue)` | Find the proto file which defines an extension extending the given message type with the given field number.
    `ServerReflectionRequest.Builder` | `setFileContainingSymbol​(String value)` | Find the proto file that declares the given fully-qualified symbol name.
    `ServerReflectionRequest.Builder` | `setFileContainingSymbolBytes​(com.google.protobuf.ByteString value)` | Find the proto file that declares the given fully-qualified symbol name.
    `ServerReflectionRequest.Builder` | `setHost​(String value)` | `string host = 1;`
    `ServerReflectionRequest.Builder` | `setHostBytes​(com.google.protobuf.ByteString value)` | `string host = 1;`
    `ServerReflectionRequest.Builder` | `setListServices​(String value)` | List the full names of registered services.
    `ServerReflectionRequest.Builder` | `setListServicesBytes​(com.google.protobuf.ByteString value)` | List the full names of registered services.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.Message.Builder

      `mergeDelimitedFrom, mergeDelimitedFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<ServerReflectionRequest.Builder>`

    - #### clear

          public ServerReflectionRequest.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<ServerReflectionRequest.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<ServerReflectionRequest.Builder>`

    - #### getDefaultInstanceForType

          public ServerReflectionRequest getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public ServerReflectionRequest build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public ServerReflectionRequest buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public ServerReflectionRequest.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ServerReflectionRequest.Builder>`

    - #### mergeFrom

          public ServerReflectionRequest.Builder mergeFrom​(ServerReflectionRequest other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<ServerReflectionRequest.Builder>`

    - #### mergeFrom

          public ServerReflectionRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ServerReflectionRequest.Builder>`
      Throws:
        `IOException`

    - #### getMessageRequestCase

          public ServerReflectionRequest.MessageRequestCase getMessageRequestCase()

      Specified by:
        `getMessageRequestCase` in interface `ServerReflectionRequestOrBuilder`

    - #### clearMessageRequest

          public ServerReflectionRequest.Builder clearMessageRequest()

    - #### getHost

          public String getHost()

      `string host = 1;`
      Specified by:
        `getHost` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The host.

    - #### getHostBytes

          public com.google.protobuf.ByteString getHostBytes()

      `string host = 1;`
      Specified by:
        `getHostBytes` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The bytes for host.

    - #### setHost

          public ServerReflectionRequest.Builder setHost​(String value)

      `string host = 1;`
      Parameters:
        `value` - The host to set.
      Returns:
        This builder for chaining.

    - #### clearHost

          public ServerReflectionRequest.Builder clearHost()

      `string host = 1;`
      Returns:
        This builder for chaining.

    - #### setHostBytes

          public ServerReflectionRequest.Builder setHostBytes​(com.google.protobuf.ByteString value)

      `string host = 1;`
      Parameters:
        `value` - The bytes for host to set.
      Returns:
        This builder for chaining.

    - #### hasFileByFilename

          public boolean hasFileByFilename()

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Specified by:
        `hasFileByFilename` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        Whether the fileByFilename field is set.

    - #### getFileByFilename

          public String getFileByFilename()

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Specified by:
        `getFileByFilename` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The fileByFilename.

    - #### getFileByFilenameBytes

          public com.google.protobuf.ByteString getFileByFilenameBytes()

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Specified by:
        `getFileByFilenameBytes` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The bytes for fileByFilename.

    - #### setFileByFilename

          public ServerReflectionRequest.Builder setFileByFilename​(String value)

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Parameters:
        `value` - The fileByFilename to set.
      Returns:
        This builder for chaining.

    - #### clearFileByFilename

          public ServerReflectionRequest.Builder clearFileByFilename()

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Returns:
        This builder for chaining.

    - #### setFileByFilenameBytes

          public ServerReflectionRequest.Builder setFileByFilenameBytes​(com.google.protobuf.ByteString value)

           Find a proto file by the file name.

      `string file_by_filename = 3;`
      Parameters:
        `value` - The bytes for fileByFilename to set.
      Returns:
        This builder for chaining.

    - #### hasFileContainingSymbol

          public boolean hasFileContainingSymbol()

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Specified by:
        `hasFileContainingSymbol` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        Whether the fileContainingSymbol field is set.

    - #### getFileContainingSymbol

          public String getFileContainingSymbol()

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Specified by:
        `getFileContainingSymbol` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The fileContainingSymbol.

    - #### getFileContainingSymbolBytes

          public com.google.protobuf.ByteString getFileContainingSymbolBytes()

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Specified by:
        `getFileContainingSymbolBytes` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The bytes for fileContainingSymbol.

    - #### setFileContainingSymbol

          public ServerReflectionRequest.Builder setFileContainingSymbol​(String value)

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Parameters:
        `value` - The fileContainingSymbol to set.
      Returns:
        This builder for chaining.

    - #### clearFileContainingSymbol

          public ServerReflectionRequest.Builder clearFileContainingSymbol()

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Returns:
        This builder for chaining.

    - #### setFileContainingSymbolBytes

          public ServerReflectionRequest.Builder setFileContainingSymbolBytes​(com.google.protobuf.ByteString value)

           Find the proto file that declares the given fully-qualified symbol name.
           This field should be a fully-qualified symbol name
           (e.g. <package>.<service>[.<method>] or <package>.<type>).

      `string file_containing_symbol = 4;`
      Parameters:
        `value` - The bytes for fileContainingSymbol to set.
      Returns:
        This builder for chaining.

    - #### hasFileContainingExtension

          public boolean hasFileContainingExtension()

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`
      Specified by:
        `hasFileContainingExtension` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        Whether the fileContainingExtension field is set.

    - #### getFileContainingExtension

          public ExtensionRequest getFileContainingExtension()

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`
      Specified by:
        `getFileContainingExtension` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The fileContainingExtension.

    - #### setFileContainingExtension

          public ServerReflectionRequest.Builder setFileContainingExtension​(ExtensionRequest value)

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`

    - #### setFileContainingExtension

          public ServerReflectionRequest.Builder setFileContainingExtension​(ExtensionRequest.Builder builderForValue)

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`

    - #### mergeFileContainingExtension

          public ServerReflectionRequest.Builder mergeFileContainingExtension​(ExtensionRequest value)

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`

    - #### clearFileContainingExtension

          public ServerReflectionRequest.Builder clearFileContainingExtension()

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`

    - #### getFileContainingExtensionBuilder

          public ExtensionRequest.Builder getFileContainingExtensionBuilder()

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`

    - #### getFileContainingExtensionOrBuilder

          public ExtensionRequestOrBuilder getFileContainingExtensionOrBuilder()

           Find the proto file which defines an extension extending the given
           message type with the given field number.

      `.grpc.reflection.v1.ExtensionRequest file_containing_extension = 5;`
      Specified by:
        `getFileContainingExtensionOrBuilder` in interface `ServerReflectionRequestOrBuilder`

    - #### hasAllExtensionNumbersOfType

          public boolean hasAllExtensionNumbersOfType()

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Specified by:
        `hasAllExtensionNumbersOfType` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        Whether the allExtensionNumbersOfType field is set.

    - #### getAllExtensionNumbersOfType

          public String getAllExtensionNumbersOfType()

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Specified by:
        `getAllExtensionNumbersOfType` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The allExtensionNumbersOfType.

    - #### getAllExtensionNumbersOfTypeBytes

          public com.google.protobuf.ByteString getAllExtensionNumbersOfTypeBytes()

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Specified by:
        `getAllExtensionNumbersOfTypeBytes` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The bytes for allExtensionNumbersOfType.

    - #### setAllExtensionNumbersOfType

          public ServerReflectionRequest.Builder setAllExtensionNumbersOfType​(String value)

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Parameters:
        `value` - The allExtensionNumbersOfType to set.
      Returns:
        This builder for chaining.

    - #### clearAllExtensionNumbersOfType

          public ServerReflectionRequest.Builder clearAllExtensionNumbersOfType()

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Returns:
        This builder for chaining.

    - #### setAllExtensionNumbersOfTypeBytes

          public ServerReflectionRequest.Builder setAllExtensionNumbersOfTypeBytes​(com.google.protobuf.ByteString value)

           Finds the tag numbers used by all known extensions of the given message
           type, and appends them to ExtensionNumberResponse in an undefined order.
           Its corresponding method is best-effort: it's not guaranteed that the
           reflection service will implement this method, and it's not guaranteed
           that this method will provide all extensions. Returns
           StatusCode::UNIMPLEMENTED if it's not implemented.
           This field should be a fully-qualified type name. The format is
           <package>.<type>

      `string all_extension_numbers_of_type = 6;`
      Parameters:
        `value` - The bytes for allExtensionNumbersOfType to set.
      Returns:
        This builder for chaining.

    - #### hasListServices

          public boolean hasListServices()

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Specified by:
        `hasListServices` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        Whether the listServices field is set.

    - #### getListServices

          public String getListServices()

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Specified by:
        `getListServices` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The listServices.

    - #### getListServicesBytes

          public com.google.protobuf.ByteString getListServicesBytes()

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Specified by:
        `getListServicesBytes` in interface `ServerReflectionRequestOrBuilder`
      Returns:
        The bytes for listServices.

    - #### setListServices

          public ServerReflectionRequest.Builder setListServices​(String value)

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Parameters:
        `value` - The listServices to set.
      Returns:
        This builder for chaining.

    - #### clearListServices

          public ServerReflectionRequest.Builder clearListServices()

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Returns:
        This builder for chaining.

    - #### setListServicesBytes

          public ServerReflectionRequest.Builder setListServicesBytes​(com.google.protobuf.ByteString value)

           List the full names of registered services. The content will not be
           checked.

      `string list_services = 7;`
      Parameters:
        `value` - The bytes for listServices to set.
      Returns:
        This builder for chaining.